macOS Mojave demande un Mac de 2012 au minimum

Stéphane Moussie |

Si tous les Mac compatibles avec Sierra l’étaient aussi avec High Sierra, ce n’est pas le cas avec Mojave. macOS 10.14 demande un Mac de 2012 au minimum, avec une exception pour le Mac Pro mi–2010 dans un cas précis. C'est en fait la prise en charge de l'API graphique Metal qui devient le critère de compatibilité. Voici la liste des Mac pouvant faire tourner macOS Mojave :

  • MacBook début 2015 ou plus récent
  • MacBook Air mi–2012 ou plus récent
  • MacBook Pro mi–2012 ou plus récent
  • Mac mini fin 2012 ou plus récent
  • iMac fin 2012 ou plus récent
  • iMac Pro 2017 ou plus récent
  • Mac Pro fin 2013, ou mi–2010 et mi–2012 avec une carte graphique compatible Metal

Pour rappel, High Sierra peut tourner sur les MacBook et iMac de la fin 2009 minimum, ainsi que MacBook Air, MacBook Pro, Mac mini et Mac Pro d’au moins 2010. Ce sont donc deux ou trois générations de machines qui passent à la trappe avec le nouveau système.


avatar simnico971 | 

@melaure

Oh ben j'ai démonté plusieurs fois l'Alienware de ma copine (un 17" R3 je crois ?) ??‍♂️

avatar huexley | 

WOW ! Encore un post plein d'apriori ! Bravo ! Je me marre.

avatar simnico971 | 

@huexley

Ah non non non. Ça, je l'ai vu.

avatar huexley | 

ca fait bientôt 20 ans que je démonte des Macs professionnellement si tu veux j'ai une liste intarissable de montage bien moisi ;-)

avatar melaure | 

Si tu sortais un peu du monde Mac, tu verrais que oui des machines de 8 ans, certes un peu upgradées (au moins on a la LIBERTE de pouvoir le faire), tournent très bien sous Win10 ...

Ensuite Paquito on peut très bien vouloir un OS récent pour des fonctions de bas de niveau (un APFS plus mur par exemple) et se moquer complètement de la liste de gadgets que tu cites !

avatar Paquito06 | 

@melaure

“Si tu sortais un peu du monde Mac, tu verrais que oui des machines de 8 ans, certes un peu upgradées (au moins on a la LIBERTE de pouvoir le faire), tournent très bien sous Win10 ...

Ensuite Paquito on peut très bien vouloir un OS récent pour des fonctions de bas de niveau (un APFS plus mur par exemple) et se moquer complètement de la liste de gadgets que tu cites !”

J’utilise le monde de Windows avec mon taff (banque d’investissement), resultat, faut en effet upgrader la machine car elle devient obsolete tous les 3-4 ans. Mais on peut bien sur laisser xp ou vista dessus, elle ne va pas s’eteindre du jour au lendemain. En revanche les couches successives de maj Windows, ca n’accelere pas les perf.
L’AFPS est software, Apple peut l’ameliorer quand elle veut. La liste de gadgets que j’ai cités sont d’ordre hardware. Faut bien saisir la nuance. Encore une fois, la horde de commentaires au dessus a de suite crié au voleur car ils n’ont pas vu l’annee de leur mac supportee par Mojave (ils n’auront pas le theme sombre et continuity en natif, fichtre) mais leur machine continuera de tourner. Les memes qui ralent quand iOS sort et ne prend pas en charge leur modele d’iPhone, mais qui en utiliseraient que 60-70% car le hardware n’est pas adapté. Meme chose avec l’AW ou l’Apple TV (qui d’ailleurs, en dehors des US n’a que tres peu d’interet, autant raler pour qq chose hein).

avatar simnico971 | 

@armandgz123

Ah ouais ? T'as joué au loto dernièrement ? T'as tes chances...

avatar alexcmoi37 | 

Aller hop 2 iMac et un mba qui sera plus mi à jour merci Apple

avatar Biking Dutch Man | 

Il va devoir faire ses preuves cet OS avant qu'il remplace Sierra chez moi!

avatar spm2 | 

@Biking Dutch Man
idem pour moi: iMac 27" de mi 2010 avec 32 Giga de RAM, un SSD Crucial de 1To et qui tourne comme une horloge sous Sierra. Un vrai bonheur!
Du coup je verrais le p'tit nouveau (Mojave) sur mon MacBook Pro de 2015!

avatar fte | 

Je n’ai pas de Mac compatible.
Je n’aurai pas de Mac compatible.
Je n’ai pas de Mac avec High Sierra.
Ça ne m’ennuie même pas.

avatar charlie105 | 

@fte

C’est ce que je suis en train de me dire aussi!

avatar jeantro | 

de toute façon je ne me pose pas de soucis mon Macbook pro mi-2009 tourne comme une horloge complément fonctionnel sous High Sierra ça fait 2 ans que je ne devrais plus avoir le droit aux MAJ Apple mais heureusement que des crack de la programmation (sur le forum de mac rumors) sont là pour nous permettre d'éviter l'obsolescence programmé d'Apple. Je suis sur que mon macbook pro mi-2009 tournera très bien sous Mojave

avatar marenostrum | 

parfois il faut juste ajouter une ligne de texte sur un fichier et l'installation passe.

mais c'est normal aussi leur tactique de pousser les gens d'acheter des machines,. eux ils en vendent des machines et pas de systèmes comme le fait Microsoft (son nom l'explique déjà).

avatar Vanton | 

@marenostrum

Pousser à renouveler sa machine pourrait s’accepter... si les machines actuelles étaient à la hauteur. Le problème c’est que dans les faits... bah bof !

Entre la connectique terriblement frustrante au quotidien parce que trop en avance sur son temps, l’abandon du MagSafe qui aura sauvé des milliers d’ordi, des options vendues un prix absolument indécent et qui imposent des configurations sous dimensionnées, l’impossibilité de faire évoluer sa machine pour rentabiliser un minium son achat, les claviers papillon qui flirtent avec l’accident industriel... Les nouvelles machines ont aussi des qualités mais... Le tableau général est pas joli joli !

Beaucoup de gens se retrouveraient avec des ordis moins durables, moins polyvalents, moins bien équipés et malgré tout plus chers... C’est difficilement acceptable.

D’ailleurs l’ambiance a changé sur les différents sites dédiés à Apple. Les critiques se font plus virulentes, plus nombreuses...

avatar simnico971 | 

@marenostrum

C'est très probablement lié à l'API graphique Metal, qui n'est pas supportée par les Mac n'ayant pas droit à l'upgrade. Je serais très surpris qu'il soit possible de faire tourner Mojave sur ces machines en changeant une ligne de code.

avatar MacQuébec | 

Quelqu'un a testé Parallels Desktop avec Mojave, par hasard?

avatar king péa | 

Dosdude1 va sortir un patch "unsupported" probablement

avatar 0MiguelAnge0 | 

Apple, Apple...

J’ai un Mac Pro 2012 que j’ai comllètement uogradé. Avec la configuration de base, il n’etait pas metal.
Il l’est devenu quand je lui ai glissé une 1080Ti. Comme quoi, avoir une configuration upgradable permet de lutter contre l’obolescence programmée...

Cela dit, il va falloir m’expliquer comment cela va fonctionner. En effet, à chaque mise à jour, je perds la compatibilité metal car les drivers Nvidia Web ne sont plus suportés. Ils le deviennent après un upgrade une fois la mise à jour MacOS effectuée.

Donc pour résumer, lors de la mise à jour:
- au départ, l’installeur va checker et va voir metal supporté
- puis le bordel s’installe, la 1080Ti cesse d’être reconnu et metal avec... Mais à priori l’instal pourra continuer
- donc je vais me retrouver après la mise à jour avec MacOS Majove sur unr machine non metal avant que je ne mette à jour les drivers Web de Nvidia...

J’avais skippé High Sierra, mais ce Mojave me tente bien...

avatar thunder72fr | 

En plus de mon Mac pro, j'ai un PC Hackintosh. Il existe 2 kexts (Lilu.kext + NvidiaGraphicsFixup.kext) qui permettent de faire fonctionner les webdrivers Nvidia quelque soit la version de MacOS).

On doit juste installer un boot flag : ngfxcompat=1

Il faut aussi tenir compte tout de même de la compatibilité de la carte vis à vis de Sierra, Hight Sierra et peut être Mojave.

Pour aider sur l'upgrade d'un Mac Pro 4.1 / 5.1:

http://blog.greggant.com/posts/2018/05/07/definitive-mac-pro-upgrade-guide.html#gpuupgrades

https://forums.macrumors.com/threads/frequently-asked-questions-about-nvidia-pc-non-efi-graphics-cards.1440150/

https://forums.macrumors.com/threads/mp51-0084-b00-rom-dump-request.2119496/

https://www.imore.com/retro-review-2009-mac-pro-2018

https://www.facebook.com/groups/Mac.Pro.Upgrade/

(Dans ce goupe privé Facebook, apparemment, il ya en a qui ont installé déjà la première beta)

https://github.com/vit9696/Lilu

https://github.com/vit9696/Lilu/blob/master/KnownPlugins.md

https://github.com/lvs1974/NvidiaGraphicsFixup

Le moment venu avec Mojave, il aura moyen de trouver les informations pour mon Mac Pro:

https://youtu.be/uINVeEQ6OHc

avatar loulou31tlse | 

Sniff plus de mise à jour pour mon MBP late 2011

avatar adixya | 

Punaise, Apple va laisser plusieurs générations de machines bloquées sur high sierra, ça c’est pas cool...

avatar obd | 

Hello !
D'où vient l'info selon laquelle les Macs "bloqués" sur High Sierra recevront tout de même les MàJ de sécurité un certain temps ?
D'après vous Safari fera partie du lot ?

avatar coink | 

Comme tout éditeur, Apple maintient habituellement les versions n-2 ou n-3 selon les cycles de release.

Les dernières updates sont compatibles el capitan : https://support.apple.com/en-us/HT201222

Donc support de High Sierra au minimum jusqu'en 2020-2021, Soit 9-10ans de support logiciel pour les macs... c'est beaucoup plus que tout ce que tu trouveras sur le marché, on s'approche de ce qui se fait sur le matos Pro (serveurs, stockage, réseau etc.).

avatar obd | 

Merci, c'est très clair !

avatar byte_order | 

@coink
> c'est beaucoup plus que tout ce que tu trouveras sur le marché

Le leader du marché des OS pour ordinateur personnel, c'est Microsoft.
Hors Windows XP a été supporté (maj de sécurité incluse) par Microsoft pendant 12 ans, par exemple.
Windows 7 c'est 10 ans de support (fin prévue janvier 2020, sortie en 2009).
Windows 8, 10, 10 ans de support également.

Alors, non, c'est pas *beaucoup plus* que ce que l'on trouve sur le marché.
C'est comparable, parfaitement comparable, dans les faits.

Cela casse le mythe mais bon, les faits sont têtus.

avatar coink | 

@byte_order

Ok tu as raison sur le support éditeur. Je parlais plus du support logiciel associé au matériel.
Microsoft ne fabriquait pas de machines jusqu’à présent, à voir comment seront supportés leurs tablettes et pc dans quelques années.

Si on va par la, ibm supporte encore des os s’il y a 20ans, ou même Microsoft supporte encore Windows xp embedded pour certains utilisateurs tant qu’il payent

avatar Sierra117ha1o | 

Bon et bien plus qu’à jetter mon imac end 2009 qui a un i7 et 10 go de ram...

avatar Yacc | 

@Sierra117ha1o

???

Il va cesser de fonctionner ?

avatar coink | 

non mais y'a des dingues sur ce forum...
J'ai un MacBook Pro de 2008 qui tourne comme une horloge sur el capitan,
un iMac 2010 i7 ssd qui se fera un plaisir de durer 3-4 ans de plus sur High Sierra.

Bref, des machines increvables.

avatar Yacc | 

@coink

L’ironie de mon propos t’a visiblement échappée ?

avatar coink | 

@Yacc

Non je répondais au même type que toi ;-)

avatar Yacc | 

@coink

Ok ? juste un pb de destinataire ?

avatar Sierra117ha1o | 

Si l’os ne supporte plus l’ordi moi je jette c’est comme ça. ?

avatar Orus | 

On peu donc s'attendre a voir certains "vieux" mac subirs quelques ralentissements et bugs avec ce nouveau MacOs. Apple mesquineries habituelles.

avatar byte_order | 

Et dire que sur ces machines exclues par Apple, il sera toujours possible d'installer la prochaine version de Windows ou de Linux... mais pas la dernière version macOS.
Ironie.

avatar lolo57 | 

Il y aura peut-être des bidouilles pour passer outre. Comme mon macbook mi 2009 qui tourne parfaitement sous le dernier système.

avatar guizmo28 | 

J’ai une question. Si on peut pas passer à Mojave mais que nos iBidule sont sur iOS 12 est-ce que ce sera toujours possible de faire des sauvegardes iTunes sur High Sierra?

avatar damien.thg | 

Bon, dernier MAJ pour mon mac mini de 2012...

Après, moi je veux bien changer si Apple mettait à jour son produit.... ??

avatar webHAL1 | 

Personnellement, ça ne me choque pas qu'Apple décide d'arrêter le support de certaines machines "anciennes" au niveau du système d'exploitation. Comme l'ont rappelé d'autres personnes, la Pomme assure le support de la version actuelle de macOS et des deux précédentes. Donc High Sierra recevra encore des mises à jour de sécurité jusqu'au en septembre 2020 environ, quand sortira macOS 10.17.
(Au passage, on rêve que la situation soit identique avec iOS)

Le souci se trouve plutôt au niveau des logiciels. La Pomme est coutumière de ne sortir les dernières versions de ses applications que sur la mouture la plus récente de macOS. Ce qui peut parfois se révéler problématique, principalement quand des passerelles sont nécessaires avec par exemple iOS (je pense ici à iTunes ou à Xcode). Il faudrait qu'Apple s'améliore sur ce point et pousse les éditeurs tiers à toujours prendre en charge les anciennes versions de macOS. De cette façon, les possesseurs d'anciennes machines pourraient avoir l'esprit plus tranquille.

avatar guillrun | 

J’échange un macbook pro 2011 ssd 256 8go contre un ipad pro 10,5 contactez moi

avatar Boboss29 | 

Il me le propose pas sur mon macbook pro non retina de 2012, c'est normal ? Je suis toujours sur Sierra (j'ai zappé le high-sierra) c'est peut être pour ça non ?

[edit] heu normal il est pas encore sortie...

avatar Boboss29 | 

mon mac mini 2011 tourne toujours sur Sierra, je pense lui mettre un SSD bientôt et le faire passer en Hig Sierra, et aucun frein même sous Sierra :) d'ailleurs les nouveautés ne sont pas flagrantes... je fais du blender/photoshop/Lightroom, c'est pas trop la version de l'OS qui compte...

Pages

CONNEXION UTILISATEUR